<!DOCTYPE html>
<html>
    <head>
        <title>Coding Regions</title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <style>
            body {
                background-color: #FFF;
                margin-top: 20px;
            }
        </style>
    </head>
    <body>

        <!-- debut entete -->
        <script src="jquery-1.9.1.js"></script>
        <script src="jquery.nouislider.min.js"></script>
        <script src="jcanvas.min.js"></script>
        <script src="rcod.js"></script>
        <link rel="stylesheet" type="text/css" href="rcod.css" />
        <link rel="stylesheet" type="text/css" href="nouislider.fox.css" />
        <!-- fin entete -->
        <!-- Debut du grain -->
        <style id="rcod-style-cds"></style>
        <style id="rcod-style-op"></style>

        <div id="rcod">
            <div id="rcod-etapes">
                <div class="rcod-titre">
                    Steps
                </div>
                <div class="rcod-contenu" id="rcod-listeEtapes">
                    <a etape="1">Selection of a candidate coding region</a>
                    <a etape="2">Translation of the candidate coding region</a>
                    <a etape="3">Searching the UniProt database</a>
                    <a etape="4">Displaying the corresponding protein</a>
                </div>
            </div>
            <div id="rcod-messages">
                <div class="rcod-titre">
                    <span id="rcod-messagesTitre">Messages</span>
                </div>
                <div class="rcod-contenu" id="rcod-messagesContenu">

                </div>
            </div>
            <div id="rcod-corps">
                <div class="rcod-titre">
                    <span id="rcod-corpsTitre">
                        Loading...
                    </span>
                    <div id="rcod-menu"></div>
                </div>
                <div class="rcod-contenu" id="rcod-corpsContenu">
                    <div corps="1">
                        <div id="rcod-options">
                            <label>
                                <span style="background-color: #3C3"></span>
                                <input type="checkbox" id="rcod-op-start" checked=""/>
                                START
                            </label><br/>
                            <label>
                                <span style="background-color: #C33"></span>
                                <input type="checkbox" id="rcod-op-stop" checked=""/>
                                STOP
                            </label><br/>
                            <label>
                                <span style="background-color: #FC3"></span>
                                <input type="checkbox" id="rcod-op-rbs" checked=""/>
                                RBS
                            </label>
                            <div id="rcod-op-zoom" class="noUiSlider"></div>
                            <p style="text-align: center">
                                Zoom
                            </p>
                        </div>
                        <div id="rcod-label">
                            <div class="rcod-phase">RBS</div>
                            <div class="rcod-phase">+3</div>
                            <div class="rcod-phase">+2</div>
                            <div class="rcod-phase">+1</div>
                            <div class="rcod-seq">5'</div>
                            <div class="rcod-seq">3'</div>
                            <div class="rcod-phase">-1</div>
                            <div class="rcod-phase">-2</div>
                            <div class="rcod-phase">-3</div>
                            <div class="rcod-phase">RBS</div>
                        </div>
                        <div id="rcod-cds">
                            <div id="rcod-rbs_" class="rcod-phase"></div>
                            <div id="rcod-phase_3" class="rcod-phase" phase="h3"></div>
                            <div id="rcod-phase_2" class="rcod-phase" phase="h2"></div>
                            <div id="rcod-phase_1" class="rcod-phase" phase="h1"></div>
                            <div id="rcod-seq1" class="rcod-seq"></div>
                            <div id="rcod-seq2" class="rcod-seq"></div>
                            <div id="rcod-phase_-1" class="rcod-phase" phase="b1"></div>
                            <div id="rcod-phase_-2" class="rcod-phase" phase="b2"></div>
                            <div id="rcod-phase_-3" class="rcod-phase" phase="b3"></div>
                            <div id="rcod-rbs-" class="rcod-phase"></div>
                        </div>
                        <div id="rcod-label2">
                            <div class="rcod-phase">RBS</div>
                            <div class="rcod-phase">+3</div>
                            <div class="rcod-phase">+2</div>
                            <div class="rcod-phase">+1</div>
                            <div class="rcod-seq">3'</div>
                            <div class="rcod-seq">5'</div>
                            <div class="rcod-phase">-1</div>
                            <div class="rcod-phase">-2</div>
                            <div class="rcod-phase">-3</div>
                            <div class="rcod-phase">RBS</div>
                        </div>
                    </div>
                    <div corps="2">
                        <div id="rcod-label-2">
                            <div>
                               The genetic code 
                            </div>
                            <div>
                                Sequence of candidate coding region 
                            </div>
                            <div>
                               Translated sequence 
                            </div>
                        </div>
                        <canvas id="rcod-canvas" width="300" height="300"></canvas>
                        <div id="rcod-trad">
                            <div>
                                <table><tr id="rcod-candidate"></tr></table>
                                <br/>
                                <table><tr id="rcod-traduction"></tr></table>
                                <br/>
                            </div>
                        </div>
                    </div>
                    <div corps="3">
                        <div id="rcod-label-3">
                            <div>
																Polypeptidic sequence from translation
                            </div>
                            <div>
                                Access to the UniProt protein database
                            </div>
                            <div>
																Paste here the name of the protein that is the most similar to your:
                            </div>
                        </div>
                        <textarea id="rcod-tradfinale" readonly=""></textarea>
												<a href="http://web.expasy.org/blast/" target="_blank" id="rcod-swiss">Go to UniProt database</a>
                        <input type="text" id="rcod-protNom" value="" placeholder="Name of the protein"/>
                        <a href="javascript:rcod.changerEtape(1)" id="rcod-protKO">Cancel the annotation</a>
                        <a href="javascript:rcod.suivant3()" id="rcod-protOK">Validate the annotation</a>
                    </div>
                </div>
            </div>
        </div>
        <script>
            /*
             * Initialisation
             */
            $( function() {
                rcod.valide(1);
                rcod.changerEtape(1);
            });
        </script>
        <!-- Fin du grain -->

    </body>
</html>
